/*
 * Author: jeremiazhao (赵振)
 *
 * This file is part of libdmi
 *
 * This program is free software: you can redistribute it and/or modify it under
 * the terms of the GNU Lesser General Public License as published by the Free
 * Software Foundation, either version 3 of the License, or (at your option)
 * any later version.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE.  See the GNU Lesser General Public License for
 * more details.
 *
 * You should have received a copy of the GNU Lesser General Public  License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
#ifndef LDEVICE_H
#define LDEVICE_H

/*
 * get Linux distribution type, like "OpenCloudOS"
 */
// opencloudos is 4
int system_get_tag();


/*
 * get the Linux distribution name, like "OpenCloudOS Stream"
 */
const char* system_get_name();


/*
 * get is the OS actived (Usually used for commercial OS)
 * 0 has not been actived
 * 1 has been actived
 */
int system_is_active();


/*
 * get the OS version, like 9.1
 */
const char* system_get_osversion();


/*
 * get the hardware uuid, from dmi product_serial or product_uuid
 */
const char* system_get_uuid();


/*
 * get the cpu model name like "AMD EPYC 7K83 64-Core Processor"
 */
const char* system_get_cpu();


/*
 * get the network card's MAC address
 */
const char* system_get_mac();


/*
 * get blkid of filesystem
*/
const char* system_get_blkid();

/*
 * get the disk's uuid
 * if there are more than 1 disk, only get the disk
 * include /root
 */
const char* system_get_disk_uuid();

/*
 * get the license token
 */
const char* system_get_token();

#endif
